#include <iostream>
#include <string>
#include <stdlib.h>
#include "nodes.h"
#include "config.h"

using namespace std;
int seed;
class Map{
	public:
		string getDisplay();
		int getNode(int x, int y);
		void setNode(int x, int y, int n);
		Map();
	private: 
		int content[MAPWIDTH][MAPHEIGHT];
		void generateNode(int x, int y);
	};
Map::Map(){
	for(int x = 0; x < MAPWIDTH; x++){
		for(int y = 0; y < MAPHEIGHT; y++){
			generateNode(x,y);
			}
		}
	}
string Map::getDisplay(){
	string result = "";
	for(int y = 0; y < MAPHEIGHT; y++){
		for(int x = 0; x < MAPWIDTH; x++){
			result += "\e[0m\e[46m";
			result += getPatternDisplay(content[x][y]);
			}
		result += "\n";		
		}
	return result;	
	}		
void Map::generateNode(int x, int y){
	if(false);
	else if(y >= 00 && y <= 30) content[x][y] = AIR;
	else if(y >= 31 && y <= 41) content[x][y] = DIRT;
	else if(y >= 42 && y <= 48) content[x][y] = STONE;
	else if(y >= 49 && y <= 49) content[x][y] = STONE;
	}
int Map::getNode(int x, int y){
	if(x < MAPWIDTH && y < MAPHEIGHT){
		return content[x][y];
		}
	return -1;	
	}
void Map::setNode(int x, int y, int n){
	content[x][y] = n;
	}	
int main(int argc, char **argv){
	cout << "[SERVER]Starting Dragonblocks Bedrock Edition Server\n";
	cout << "[SERVER]by Elias Fleckenstein\n";
	cout << "[SERVER]Generating Map\n";
	Map map;
	FILE *mapfile;
	mapfile = fopen("world/map","w");
	string mapcontent = map.getDisplay();
	for(int i = 0; i < (int) mapcontent.length(); i++){
		fputc(mapcontent[i],mapfile);
		}
	fclose(mapfile);
	cout << "[SERVER]Done\n";	
	return 0;
	}

